/*!
 * Pikaday
 * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/
 */

.pika-single {
    z-index: 9999;
    display: block;
    position: relative;
    color: $frs-color-grey;
    background: $frs-color-white;
    border: 1px solid $frs-color-light-grey;
    border-bottom-color: $frs-color-light-grey;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;

    &.is-hidden {
        display: none;
    }

    &.is-bound {
        position: absolute;
        box-shadow: 0 5px 15px -5px $frs-color-black;
    }
}

// clear child float (pika-lendar), using the famous micro clearfix hack
// http://nicolasgallagher.com/micro-clearfix-hack/
.pika-single {
    &::before,
    &::after {
        content: ' ';
        display: table;
    }

    &::after {
        clear: both;
    }
}

.pika-lendar {
    float: left;
    width: auto;
    margin: 8px;
}

.pika-title {
    position: relative;
    text-align: center;

    select {
        cursor: pointer;
        position: absolute;
        z-index: 9998;
        margin: 0;
        left: 0;
        top: 5px;
        filter: alpha(opacity = 0);
        opacity: 0;
    }
}

.pika-label {
    display: inline-block;
    position: relative;
    z-index: 9999;
    overflow: hidden;
    margin: 0;
    padding: 5px 3px;
    font-size: 14px;
    line-height: 20px;
    font-weight: bold;
    background-color: $frs-color-white;
}

.pika-prev,
.pika-next {
    display: block;
    cursor: pointer;
    position: relative;
    outline: none;
    border: 0;
    padding: 0;
    width: 20px;
    height: 30px;
    text-indent: 20px; // hide text using text-indent trick, using width value (it's enough)
    white-space: nowrap;
    overflow: hidden;
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 75% 75%;
    opacity: .5;

    &:hover {
        opacity: 1;
    }

    &.is-disabled {
        cursor: default;
        opacity: .2;
    }
}

.pika-prev,
.is-rtl .pika-next {
    float: left;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==');
}

.pika-next,
.is-rtl .pika-prev {
    float: right;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=');
}

.pika-select {
    display: inline-block;
}

.pika-table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    border: 0;

    th,
    td {
        width: 14.285714285714286%;
        padding: 0;
    }

    th {
        color: $frs-color-light-grey;
        font-size: 12px;
        line-height: 25px;
        font-weight: bold;
        text-align: center;
    }

    abbr {
        border-bottom: 0;
        cursor: help;
    }
}

.pika-button {
    cursor: pointer;
    display: block;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
    border: 0;
    margin: 0;
    width: 100%;
    padding: 15px;
    color: $frs-color-black;
    font-size: 16px;
    line-height: 15px;
    text-align: center;
    background: $frs-color-white;
    transition: all .5s ease-out;

    .is-today & {
        color: $frs-color-blue;
        font-weight: bold;
    }

    .is-selected & {
        color: $frs-color-white;
        font-weight: bold;
        background: $frs-color-blue;
        box-shadow: inset 0 1px 3px $frs-color-blue;
        border-radius: 500px;
    }

    .is-disabled & {
        pointer-events: none;
        cursor: default;
        color: $frs-color-light-grey;
        opacity: .3;
    }

    &:hover {
        background: $frs-color-blue;
        border-radius: 500px;
        z-index: 999;
        box-shadow: none;
        color: $frs-color-white;
        transform: scale(1.2);
    }
}

.pika-week {
    font-size: 11px;
    color: $frs-color-light-grey;
}

.is-inrange .pika-button {
    background: $frs-color-light-beige;
}

.is-startrange .pika-button {
    color: $frs-color-white;
    background: $frs-color-blue;
    box-shadow: none;
    border-radius: 3px;
}

.is-endrange .pika-button {
    color: $frs-color-white;
    background: $frs-color-blue;
    box-shadow: none;
    border-radius: 3px;
}
